%define		plugin	pageredirect
%define		php_min_version 5.0.0
%include	/usr/lib/rpm/macros.php
Summary:	DokuWiki Page Redirect Plugin
Summary(pl.UTF-8):	Wtyczka Page Redirect (przekierowywania stron) dla DokuWiki
Name:		dokuwiki-plugin-%{plugin}
Version:	20140414
Release:	1
License:	GPL v2
Group:		Applications/WWW
Source0:	https://github.com/glensc/dokuwiki-plugin-pageredirect/tarball/%{version}/%{name}-%{version}.tgz
# Source0-md5:	ca7026838d5dc84eeabddb958f479d45
URL:		https://www.dokuwiki.org/plugin:pageredirect
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.553
Requires:	dokuwiki >= 20061106
Requires:	php(core) >= %{php_min_version}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dokuconf	/etc/webapps/dokuwiki
%define		dokudir		/usr/share/dokuwiki
%define		plugindir	%{dokudir}/lib/plugins/%{plugin}
%define		find_lang 	%{_usrlibrpm}/dokuwiki-find-lang.sh %{buildroot}

%description
This plugin allows you to redirect users between pages and namespaces
by adding a particular pattern to a page.

%description -l pl.UTF-8
Ta wtyczka pozwala przekierowywać użytkowników między stronami i
przestrzeniami nazw poprzez dodawanie określonych oznaczeń na stronie.

%prep
%setup -qc
mv *-%{plugin}-*/{.??*,*} .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{plugindir}
cp -a . $RPM_BUILD_ROOT%{plugindir}
rm -rf $RPM_BUILD_ROOT%{plugindir}/{.travis.yml,_test}

# find locales
%find_lang %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
# force css cache refresh
if [ -f %{dokuconf}/local.php ]; then
	touch %{dokuconf}/local.php
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%dir %{plugindir}
%{plugindir}/*.txt
%{plugindir}/*.php
%{plugindir}/*.css
%{plugindir}/conf
%{plugindir}/images
%changelog
* Wed May 14 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dokuwiki-plugin-pageredirect.git;a=log;h=master

* Wed May 14 2014 Elan Ruusamäe <glen@delfi.ee> a3fdabd
- up to 20140414, supports Dokuwiki 2014-05-05 "Ponder Stibbons"

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 421b7f5
- use php(core) as dependency to require php version
- release 1 (by relup.sh)

* Thu Aug 16 2012 Elan Ruusamäe <glen@delfi.ee> 91d9e13
- up to 20120816

* Mon Jun 11 2012 Elan Ruusamäe <glen@pld-linux.org> 149aff4
- up to 20120612

* Mon Jun 04 2012 Elan Ruusamäe <glen@pld-linux.org> 02dada1
- preserve #section anchors on redirect

* Tue Aug 24 2010 Elan Ruusamäe <glen@pld-linux.org> 3027973
- mute one php warning; rel 2

* Sun May 16 2010 sparky <sparky@pld-linux.org> 2c10c2e
- BR: unzip

* Fri Jan 30 2009 Elan Ruusamäe <glen@pld-linux.org> f9f7a79
- add ca-va -> ca_VA

* Fri Jan 30 2009 Elan Ruusamäe <glen@pld-linux.org> 7f4ae6d
- do not use subshell, so the exit code could be propagated

* Wed Jan 28 2009 Elan Ruusamäe <glen@pld-linux.org> ad1e224
- refresh dw cache on install

* Wed Jan 28 2009 Elan Ruusamäe <glen@pld-linux.org> 89d9566
- barf if lang files not found

* Tue Jan 27 2009 Elan Ruusamäe <glen@pld-linux.org> 984e47f
- up to 2009-01-26 rc

* Thu May 08 2008 Elan Ruusamäe <glen@pld-linux.org> 83cb83b
- unify; rel 1

* Sat Feb 09 2008 Jakub Bogusz <qboosh@pld-linux.org> 114ffba
- pl

* Fri Jan 25 2008 Elan Ruusamäe <glen@pld-linux.org> 0a4a960
- match anything in page name, to wiki path it is converted internally

* Wed Jan 23 2008 Elan Ruusamäe <glen@pld-linux.org> 9e992c1
- new

* Tue Jan 08 2008 Elan Ruusamäe <glen@pld-linux.org> 193608c
- add sl-si -> sl

* Tue Jan 08 2008 Elan Ruusamäe <glen@pld-linux.org> e41c6a4
- find dokuwiki languages

